Update Secret
curl --request PATCH \
--url https://api.egp.scale.com/v5/sgp/secrets/{secret_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"description": "<string>",
"value": "<string>"
}
'import requests
url = "https://api.egp.scale.com/v5/sgp/secrets/{secret_id}"
payload = {
"description": "<string>",
"value": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', value: '<string>'})
};
fetch('https://api.egp.scale.com/v5/sgp/secrets/{secret_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"key": "<string>",
"cloud_secret_path": "<string>",
"account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "<string>",
"object": "identity"
},
"object": "sgp_cloud_secret",
"description": "<string>",
"updated_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}SGP Cloud Secrets
Update Secret
deprecated
Update an existing secret’s description and/or value.
If value is provided, the cloud provider secret is updated. The secret value is never returned by any API.
PATCH
/
v5
/
sgp
/
secrets
/
{secret_id}
Update Secret
Authorizations
Headers
Path Parameters
Body
application/json
Response
Successful Response
API response model for a secret. Never includes the secret value.
The identity that created the entity.
Show child attributes
Show child attributes
Allowed value:
"sgp_cloud_secret"User who last updated the secret.
Timestamp of last update.
⌘I

